TAAS - Feature #117

Intra Bank Transfer
12/07/2022 12:17 PM - Anil KV

Status: New Changes Coding Done Start date: 02/04/2023
Priority: Normal Due date:

Assignee: Sreeranjini T % Done: 70%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Intra Bank Transfer

Description

Coding Intra Bank Transfer

History

#1 - 01/05/2023 02:25 PM - Junaid M
- File 1-CsModel.cs added

- File 2-tsModel.ts added

- File 3-CsFile.cs added

- File 4-CsControllerFile.cs added

- File 5-TsFile.ts added

- File 6-HtmliFile.html added

- File sql.sql added

- Status changed from New to Open

- % Done changed from 0 to 10

#2 - 02/01/2023 04:43 PM - Junaid M
- Assignee changed from Junaid M to Amal Siby

#3 - 02/04/2023 10:09 AM - Amal Siby
- Status changed from Open to Coding Started
- % Done changed from 10 to 40

#4 - 02/07/2023 09:38 AM - Amal Siby
- Start date changed from 12/07/2022 to 02/04/2023

#5 - 02/10/2023 05:57 PM - Amal Siby
- Status changed from Coding Started to Coding Done
- % Done changed from 40 to 60

coding Completed.
Print info not Done.
#6 - 03/10/2023 05:52 PM - Amal Cyriac

- Status changed from Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUND *****
1.Fix bugs on Bank Currency-ROE
(Not showing ROE input box)
2.Set an Alert for add Credit & Debit Amount
3.Fix error while save

P0001: jsnSglRes: {"sinSglCustomStatus" : -1, "strSglCustomStatusCode" : "ERROR", "strSglCustomMessage" : "Ban
k Transfer Save Failed", "strSqglCustomErrorType" : "DATABASE_SYSTEM_ERROR", "strSglCustomErrorCode" : null, "s
trSglSysMessage" : "invalid transaction termination", "strSglSysExceptionDetail" : "", "strSglSysExceptionHint

" : "PL/pgSQL function sp_insert_or_update_bank_transfer_base (jsonb) line 146 at ROLLBACK\nSQL statement \"CAL
L sp_insert_or_update_bank_transfer_base (jsnDocument, JjsnSpOutRes)\"\nPL/pgSQL function sp_insert_or_update_ba
nk_transfer (jsonb, jsonb[]) line 54 at CALL", "binSglPk" : 27, "binSglLogPk" : 0, "strSglDocNo" : null, "dctSqgl
OtherData" : {"binDocumentId": "27", "strDocumentNo": "IT/001", "binBankTransferId": null}}

#7 - 03/22/2023 04:24 PM - Amal Siby
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

Bug Fixed -(1.Fix bugs on Bank Currency-ROE
(Not showing ROE input box)

2.Set an Alert for add Credit & Debit Amount
3.Fix error while save)

Print info not Done. On hold

#8 - 03/28/2023 05:15 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.Set proper validations on ROE

(Debit & credit amount should be tally)

2.fix errors on currency

(Unable to cast object of type 'System.DBNull' to type 'System.String'.)
3.Add precision on amount

#9 - 03/28/2023 06:23 PM - Amal Siby
Bug fixed.

#10 - 03/28/2023 06:23 PM - Amal Siby
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#11 - 03/31/2023 02:48 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUND *****
1.Fix bugs on Attachment popup
(Prevent close without tap on Close button)

#12 - 04/20/2023 06:12 PM - Amal Siby
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#13 - 04/24/2023 04:31 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUND *****

1.Prevent save/update when Debit & Credit are not tally
2.Fix bug on bank currency

(Selected currency automatically change to default )
3.Set proper alignment between code & name
(Selection box)
#14 - 04/25/2023 10:30 AM - Amal Siby
Bug Fixed.

#15 - 04/25/2023 10:31 AM - Amal Siby
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#16 - 05/23/2023 05:19 PM - Amal Cyriac

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to Amal Cyriac

ISSUE FOUND *****

1.Fix bugs on check box after update - Set validation
2.Fix error on ROE - Displaying wrong value
3.Precision missing while update

4.fix bugs on posting - Cr/Dr are incorect

5.Set precision on Amount in QAR column

#17 - 05/25/2023 05:07 PM - Amal Siby
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

Bug Fixed.

#18 - 05/29/2023 06:40 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUND *****

1.Set proper validations on inline check box
(Branch/Department changing on update)
2.Currency not showing on document search
3.Fix bugs on Bank charge

( Amounts changing while currency change)

#19 - 05/30/2023 10:39 AM - Amal Siby
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

Bug Fixed.

#20 - 09/04/2023 06:07 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Amal Cyriac to unnikannan S

ISSUE FOUNDED

1.POP UP SHOWING AMOUNT NOT TALLY WHILE CHANGING BRANCH,DEPARTMENT TO WITH QAR,USD

#21 - 09/09/2023 06:32 PM - Amal Siby
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#22 - 11/10/2023 12:13 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50
ISSUE FOUNDED

1.RE-DIRECT ISSUE FROM OTHER MODULES

2.ADD INFO POP UP AS (BLUE)

3.CHANGE APPROVED BT:TO BY:

4.ADD MANDATORY FIELD IN DOC AND POSTING STATUS
5.MISSING RESPONSIBLE USER ADDING BOX AFTER SAVE

#23 - 11/13/2023 12:36 PM - Amal Siby
Reported Bug fixed

#24 - 11/13/2023 12:36 PM - Amal Siby
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#25 - 11/13/2023 04:05 PM - unnikannan S
TESTING DONE

#26 - 12/06/2023 12:52 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUNDED

1.ERROR WHILE DLETING DOCUMENT SHOWING (42883: procedure sp_delete_document(bigint, integer, bigint, character varying[], unknown)
does not exist)
2.CHANGE THE POSITION OF NARRATION FIELD UNDER DOC AND POST STATUS

#27 - 12/12/2023 08:34 PM - Amal Siby
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#28 - 12/13/2023 12:08 PM - unnikannan S
TESTING DONE

#29 - 05/03/2024 10:43 AM - Junaid M
- Assignee changed from Amal Siby to Vivekp V

#30 - 09/18/2024 05:15 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Testing Done

- % Done changed from 70 to 90

#31 - 10/28/2024 02:25 PM - Anil KV
Posting DONE

Outward Bank Transfer/Deposit Charge (PV) - Service Tax GUI - Inclusive Case also consider
* NEED Inclusive Tax, Actual Bank Charge, Tax, Tax % etc in GUI[like RV or PV]

Bank Charge posting

From Bank Ac Cr (Amount + Bank Charge + Tax)

To Bank Ac Dr (Amount)

Outward Bank Charge Account (Mapping) Dr (Charge (Not Inclusive Tax) + Tax)
* Opposite Ledger = To Bank

*jsnRelatedData = {'TYPE':'BANK TRANSFER',
'NO' : DOC NO,
'BASE_AMOUNT' : Bank Cr Amount,
'CHARGE_PERC': Bank Charge %,
'CHARGE_AMOUNT' : Amount}

Tax
Billing Tax Receivable Control Account (Input) Dr (TAX)

*jsnRelatedData = {'TYPE': 'PAYMENT',
'NO' : DOC NO,
'TAX_BASE': Bank Charge,
'TAX_PERC': Tax %,
'TAX_AMT': Tax}

#32 - 10/30/2024 10:50 AM - Junaid M
- Status changed from Testing Done to New Changes

- % Done changed from 90 to 50

#33 - 10/30/2024 02:12 PM - Vivekp V
- Status changed from New Changes to New Changes Coding Done
- % Done changed from 50 to 70

#34 - 11/11/2024 07:01 PM - unnikannan S
- Status changed from New Changes Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#35 - 11/21/2024 06:23 PM - Arathy PS
- Status changed from Reopen Bugs Testing Done to New Changes

- % Done changed from 90 to 50

NEW CHANGES DONE

1. Add against doc field on credit side after bank charge.

#36 - 12/02/2024 09:29 AM - Vivekp V
- Status changed from New Changes to New Changes Coding Done
- % Done changed from 50 to 70

#37 - 03/13/2025 10:21 AM - Arathy PS
- Status changed from New Changes Coding Done to New Changes
- Assignee changed from Vivekp V to Sreeranjini T

- % Done changed from 70 to 50
Set Document Id in Posting - Fixed
Eg:

mdITransaction.binDocumentld = mdIReceiptDocument.binDocumentld; // 1st time, Set From Procedure
mdITransaction.binSubDocld = mdIReceiptDocument.binDocumentld; // 1st time, Set From Procedure

#38 - 03/17/2025 10:11 AM - Sreeranjini T
- Status changed from New Changes to New Changes Coding Done
- % Done changed from 50 to 70

Files

2-tsModel.ts 2.18 KB 01/05/2023 Junaid M
1-CsModel.cs 4.25 KB 01/05/2023 Junaid M
3-CsFile.cs 14.5 KB 01/05/2023 Junaid M
4-CsControllerFile.cs 25.4 KB 01/05/2023 Junaid M
6-HtmiFile.html 1.91 KB 01/05/2023 Junaid M
5-TsFile.ts 16 KB 01/05/2023 Junaid M
sql.sql 17.9 KB 01/05/2023 Junaid M
